Page MenuHomePhabricator

mw: interwiki prefix missing on beta cluster, so API's "complete documentation" is a 404.
Closed, ResolvedPublic

Description

The generated MediaWiki API help has an interwiki link:

See the [[mw:API|complete documentation]], ...

e.g. http://en.wikipedia.beta.wmflabs.org/w/api.php?action=tokens But mw isn't in the beta cluster's interwiki map, so the link is a 404 to a non-existent local page "Mw:API".

The beta cluster should understand the mw interwiki prefix since it's in the default map ( maintenance/interwiki.list ). I don't know what config or puppet magic gives the beta cluster a custom interwiki map, or an admin could manually add it to every wiki with http://en.wikipedia.beta.wmflabs.org/wiki/Special:Interwiki. T69931: Beta should not use productions interwiki.php may be relevant.

It seems interwiki linking is enabled by default, so using [[mw:API]] is reasonable and several extensions use it in their messages (but nothing else in core). The alternative is the API messages could use a URL link:

See the [//www.mediawiki.org/wiki/Special:MyLanguage/API complete documentation], ...

Event Timeline

Spage raised the priority of this task from to Needs Triage.
Spage updated the task description. (Show Details)
Spage added a subscriber: Spage.
Restricted Application added subscribers: Luke081515, Aklapper. · View Herald TranscriptJul 1 2015, 10:03 PM
Legoktm added a subscriber: Legoktm.Jul 2 2015, 2:08 AM

Interwikis are a local site customization, so messages should not depend on it and should use full urls instead.

Interwikis are a local site customization, so messages should not depend on it and should use full urls instead.

I note @siebrand said differently in https://gerrit.wikimedia.org/r/#/c/169534/2/includes/api/i18n/en.json

I'll let you two argue it out.

hashar triaged this task as Low priority.Jul 6 2015, 7:26 PM
hashar added a subscriber: hashar.

Maybe related to T69931: Beta should not use productions interwiki.php ?

One can dig at http://deployment.wikimedia.beta.wmflabs.org/wiki/Special:Interwiki to find what is actually defined.

No idea what is the source of those interwikis though, hence why I point to T69931.

Interwikis are a local site customization, so messages should not depend on it and should use full urls instead.

CentralAuth, CirrusSearch, Flow, GlobalCssJs, VisualEditor, WikiData/extensions/Wikibase, and WikimediaEvents (a special case?) all use mw: in messages.

I found at least on wiki with no mw: interwiki, which displays red links in api documentation: http://csdms.colorado.edu/mediawiki/api.php

Krenair closed this task as Resolved.Apr 10 2016, 4:03 AM
Krenair added subscribers: ori, Krenair.

This appears to have been fixed at some point, maybe while I was mucking around with interwikis back in July or maybe when @ori moved it from a cdb file to interwiki.php (still under operations/mediawiki-config.git) relatively recently or something.